J2EEServer (CMDB Model API)
Keywords: com.collation.platform.model.topology.app.j2ee.J2EEServer interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.topology.app.j2ee
Interface J2EEServer

All Superinterfaces:
  AppServer, ConfigurationItem, LogicalElement, ManagedElement, ManagedSystemElement, ModelObject, java.io.Serializable

All Known Subinterfaces:
  GenericJ2EEServer, JBossServer, MySAPJ2EEEngineInstance, MySAPJavaCentralSystem, OracleAppJ2EEServer, WebLogicAdminServer, WebLogicServer, WebSphereDeploymentManager, WebSphereNodeAgent, WebSphereServer

    public interface J2EEServer

extends AppServer

JSR77 - An instance of a J2EE platform product as described in the Java 2 Enterprise Edition Platform specification.

Naming Rules:
  0="parent,name"
Persistable:
  true
Top Level:
  true

Field Summary

Fields inherited from interface com.collation.platform.model.topology.app.AppServer
`IBM_COPYRIGHT, RUNNING, STOPPED`

Method Summary
`J2EEDeployedObject[]` | `getDeployedObjectsRaw()`
`J2EEDomain` | `getParent()`
`boolean` | `hasDeployedObjectsRaw()`
`boolean` | `hasParent()`
`void` | `setDeployedObjectsRaw(J2EEDeployedObject[] objs)`
`void` | `setParent(J2EEDomain parent)`

Methods inherited from interface com.collation.platform.model.topology.app.AppServer
`getAppDescriptors, getConfigContents, getConfigFile, getContainers, getExecutable, getExecutableName, getHost, getKeyName, getModules, getName, getPrimarySAP, getProcessPools, getProductName, getProductVersion, getResources, getSoftwareInstallation, getStatus, getVendorName, getZReportFiles, hasAppDescriptors, hasConfigContents, hasConfigFile, hasContainers, hasExecutable, hasExecutableName, hasHost, hasKeyName, hasModules, hasName, hasPrimarySAP, hasProcessPools, hasProductName, hasProductVersion, hasResources, hasSoftwareInstallation, hasStatus, hasVendorName, hasZReportFiles, setAppDescriptors, setConfigContents, setConfigFile, setContainers, setExecutable, setExecutableName, setHost, setKeyName, setModules, setName, setPrimarySAP, setProcessPools, setProductName, setProductVersion, setResources, setSoftwareInstallation, setStatus, setVendorName, setZReportFiles`

Methods inherited from interface com.collation.platform.model.topology.core.ManagedElement
`getManagedSystemName, getRoles, hasManagedSystemName, hasRoles, setManagedSystemName, setRoles`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Methods inherited from interface com.collation.platform.model.topology.process.itil.ConfigurationItem
`getAssetID, getAssetTag, getCICategory, getConfigLastUpdate, getLastAuditState, getLastAuditTime, getLastLifecycleStateTime, getLifecycleState, getPrimaryOwner, hasAssetID, hasAssetTag, hasCICategory, hasConfigLastUpdate, hasLastAuditState, hasLastAuditTime, hasLastLifecycleStateTime, hasLifecycleState, hasPrimaryOwner, setAssetID, setAssetTag, setCICategory, setConfigLastUpdate, setLastAuditState, setLastAuditTime, setLastLifecycleStateTime, setLifecycleState, setPrimaryOwner`

Method Detail

### getParent

    J2EEDomain getParent()
                         throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.MemberOf" reverse="false"

### setParent

    void setParent(J2EEDomain parent)

### hasParent

    boolean hasParent()

### getDeployedObjectsRaw

    J2EEDeployedObject[] getDeployedObjectsRaw()
                                               throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`
  Implicit Relationship Type:
    name="com.collation.platform.model.topology.relation.DeployedTo" reverse="true"

### setDeployedObjectsRaw

    void setDeployedObjectsRaw(J2EEDeployedObject[] objs)

### hasDeployedObjectsRaw

    boolean hasDeployedObjectsRaw()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD